org.jbpm.workflow.instance

## Class WorkflowRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jbpm.workflow.instance.WorkflowRuntimeException

- All Implemented Interfaces:
    Serializable

      public class WorkflowRuntimeException
      extends RuntimeException

  This exception provides the context information of the error in execution of the flow.
  It would be helpful to located the error instead of confusing stack trace
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowRuntimeException(org.kie.api.runtime.process.NodeInstance nodeInstance, org.kie.api.runtime.process.ProcessInstance processInstance, Exception e)`
    `WorkflowRuntimeException(org.kie.api.runtime.process.NodeInstance nodeInstance, org.kie.api.runtime.process.ProcessInstance processInstance, String message)`
    `WorkflowRuntimeException(org.kie.api.runtime.process.NodeInstance nodeInstance, org.kie.api.runtime.process.ProcessInstance processInstance, String message, Exception e)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `long` | `getNodeId()`
    `long` | `getNodeInstanceId()`
    `String` | `getNodeName()`
    `String` | `getProcessId()`
    `long` | `getProcessInstanceId()`
    `Map<String,Object>` | `getVariables()`
    `void` | `setNodeId(long nodeId)`
    `void` | `setNodeInstanceId(long nodeInstanceId)`
    `void` | `setNodeName(String nodeName)`
    `void` | `setProcessId(String processId)`
    `void` | `setProcessInstanceId(long processInstanceId)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowRuntimeException

          public WorkflowRuntimeException(org.kie.api.runtime.process.NodeInstance nodeInstance,
                                          org.kie.api.runtime.process.ProcessInstance processInstance,
                                          String message)

    - #### WorkflowRuntimeException

          public WorkflowRuntimeException(org.kie.api.runtime.process.NodeInstance nodeInstance,
                                          org.kie.api.runtime.process.ProcessInstance processInstance,
                                          String message,
                                          Exception e)

    - #### WorkflowRuntimeException

          public WorkflowRuntimeException(org.kie.api.runtime.process.NodeInstance nodeInstance,
                                          org.kie.api.runtime.process.ProcessInstance processInstance,
                                          Exception e)

  - ### Method Detail

    - #### getProcessInstanceId

          public long getProcessInstanceId()

      Returns:
        the processInstanceId

    - #### setProcessInstanceId

          public void setProcessInstanceId(long processInstanceId)

      Parameters:
        `processInstanceId` - the processInstanceId to set

    - #### getProcessId

          public String getProcessId()

      Returns:
        the processId

    - #### setProcessId

          public void setProcessId(String processId)

      Parameters:
        `processId` - the processId to set

    - #### getNodeInstanceId

          public long getNodeInstanceId()

      Returns:
        the nodeInstanceId

    - #### setNodeInstanceId

          public void setNodeInstanceId(long nodeInstanceId)

      Parameters:
        `nodeInstanceId` - the nodeInstanceId to set

    - #### getNodeId

          public long getNodeId()

      Returns:
        the nodeId

    - #### setNodeId

          public void setNodeId(long nodeId)

      Parameters:
        `nodeId` - the nodeId to set

    - #### getNodeName

          public String getNodeName()

      Returns:
        the nodeName

    - #### setNodeName

          public void setNodeName(String nodeName)

      Parameters:
        `nodeName` - the nodeName to set

    - #### getVariables

          public Map<String,Object> getVariables()

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.